<?php
$lbg_categories_update_category_record_ajax_nonce = wp_create_nonce("lbg_categories_update_category_record-special-string");
?>

<script>
function audiopro_addon_updateCategory(theCategoryID,theCategory) {
	var data ="action=lbg_categories_update_category_record&security=<?php echo esc_js($lbg_categories_update_category_record_ajax_nonce); ?>&theCategoryID="+theCategoryID+"&theCategory="+theCategory;

	// since 2.8 ajaxurl is always defined in the admin header and points to admin-ajax.php
	jQuery.post(ajaxurl, data, function(response) {
	});
}
</script>

<div class="wrap">
	<div id="lbg_logo">
			<h2><?php esc_html_e( 'Manage Categories', 'lbg-audioprobakery' );?></h2>
 	</div>
    <div>
      <p><?php esc_html_e( 'From this section you manage the categories.', 'lbg-audioprobakery' );?></p></div>

<div class="center_add_new"><img src="<?php echo plugins_url('assets/images/add_icon.gif', dirname(__FILE__))?>" alt="add" align="absmiddle" /> <a href="?page=LBG_CATEGORIES_Add_New_Category"><?php esc_html_e( 'Add new (category)', 'lbg-audioprobakery' );?></a></div>

<table width="100%" class="widefat">

			<thead>
				<tr>
					<th scope="col" width="8%"><?php esc_html_e( 'ID', 'lbg-audioprobakery' );?></th>
					<th scope="col" width="58%"><?php esc_html_e( 'Category Name', 'lbg-audioprobakery' );?> <span class="italic11"><?php esc_html_e( '(click category name to edit it)', 'lbg-audioprobakery' );?></span></th>
					<th scope="col" width="34%"><?php esc_html_e( 'Action', 'lbg-audioprobakery' );?></th>
				</tr>
			</thead>

<tbody>
<?php foreach ( $result as $row )
	{
		$row=lbg_unstrip_array($row); ?>
							<tr class="alternate author-self status-publish" valign="top">
					<td><?php esc_html_e($row['id'])?></td>
					<td><div id="editme<?php echo esc_attr($row['id']);?>"><?php esc_html_e($row['categ']);?></div>
						<script>
						jQuery("#editme<?php echo esc_js($row['id'])?>").on( "keydown", function(event) {
							if(event.which == 13)
								 event.preventDefault();
						});
						jQuery("#editme<?php echo esc_js($row['id'])?>").editInPlace({
										saving_animation_color: "#9df084",
										callback: function(idOfEditor, enteredText, orinalHTMLContent, settingsParams, animationCallbacks) {
														enteredText=enteredText.replace(/<\S[^><]*>/g,"");
														enteredText=enteredText.replace(/&/g,"");
														if (enteredText!='') {
															animationCallbacks.didStartSaving();
															setTimeout(animationCallbacks.didEndSaving, 2000);
															audiopro_addon_updateCategory(<?php echo esc_js($row['id'])?>,enteredText);
														} else {
															enteredText=orinalHTMLContent;
														}

														return enteredText;
										}
								});
                        </script>
                    </td>
					<td>
                        <a href="?page=LBG_CATEGORIES&id=<?php echo esc_attr($row['id']);?>" onclick="return confirm('Are you sure?')" class="delred"><?php esc_html_e( 'Delete', 'lbg-audioprobakery' );?></a>
                        </td>
	            </tr>
<?php } ?>
						</tbody>
		</table>





</div>
